ata_scsi_flush_xlat
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_flush_xlat — Translate SCSI SYNCHRONIZE CACHE command

## Synopsis

`unsigned int ata_scsi_flush_xlat (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  Storage for translated ATA taskfile

## Description

Sets up an ATA taskfile to issue FLUSH CACHE or FLUSH CACHE EXT.

## LOCKING

spin_lock_irqsave(host lock)

## RETURNS

Zero on success, non-zero on error.

Prev | Up | Next
ata_scsi_start_stop_xlat | Home | scsi_6_lba_len